[Startup]
AppName="Canon Utilities Easy-PhotoPrint EX"
ProductName="CNEZMAIN.EXE"
Version="2.0.0.0"
EULA=1
Update1=1
Update2=1
MinimumSize=220
MaxPathLen=200

[install folder]
FolderName="Easy-PhotoPrint EX"

[desktop shortcut]
Shortcut=2
DSCInfo="Easy-PhotoPrint EX" "$InsFolder$\CNEZMAIN.EXE" "$InsFolder$" "" INST_NML

[group shortcut]
GroupShortcut=1
GSCFolderName="Canon Utilities\Easy-PhotoPrint EX"
GSCInfo="Easy-PhotoPrint EX" "$InsFolder$\CNEZMAIN.EXE" "$InsFolder$" "" INST_NML
GSCInfo="Easy-PhotoPrint EX fontos információk" "$InsFolder$\Readme.txt" "$InsFolder$" "" INST_NML
GSCInfo="Easy-PhotoPrint EX letörlő" "$InsFolder$\uninst.exe" "$SysFolder$" "$InsFolder$\uninst.ini" INST_NML

[uninstall info]
DisplayName="Canon Utilities Easy-PhotoPrint EX"
UninstallName="Easy-PhotoPrint EX"
MakeISU=0

[app path info]
AppPathsName="CNELMAIN.EXE" "$InsFolder$\CNELMAIN.EXE" "$InsFolder$"
AppPathsName="CNEZMAIN.EXE" "$InsFolder$\CNEZMAIN.EXE" "$InsFolder$"

[uninstall target - uninstall info]
CtrlExApp=0
UNInfo="CNELMAIN.EXE" "Easy-LayoutPrint" "" "16" HCU "SOFTWARE\Canon\Easy-LayoutPrint\Settings" "ELPClassName" "60" "MESSAGE" "NOMESSAGE" "Canon Utilities Easy-LayoutPrint"
UNInfo="CNEZMAIN.EXE" "Easy-PhotoPrint EX" "" "16" HCU "SOFTWARE\Canon\Easy-PhotoPrint EX\Settings" "ELPClassName" "60" "NOMESSAGE" "NOMESSAGE" ""
UpdateUninst=1
UninstVersion="2.0.0.0"


[OS]
WIN95=0
WIN98=0
WINME=0
WINNT=0
WIN2K=1
WINXP=1
WINVT=1
WINNW=1

[DOCICON]
DOCICON="el1" "$InsFolder$\CNEZMAIN.EXE" "1"
DOCICON="el2" "$InsFolder$\CNEZMAIN.EXE" "2"
DOCICON="el3" "$InsFolder$\CNEZMAIN.EXE" "3"
DOCICON="el4" "$InsFolder$\CNEZMAIN.EXE" "4"
DOCICON="el5" "$InsFolder$\CNEZMAIN.EXE" "5"
DOCICON="el6" "$InsFolder$\CNEZMAIN.EXE" "5"

[Files]
FILE="Readme.txt" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="CNEZHELP.CH_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="CNEZUIRc.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="CNEZDmRc.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="CNEZRSC.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="IMGLNG.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL

FILE="Layout\0002_100.xml:0002_100_Wallet (x9).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\0002_101.xml:0002_101_3.5x5 (x4).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\0002_102.xml:0002_102_5x7 (x2).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\0002_103.xml:0002_103_8x10.xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\0002_104.xml:0002_104_Képinformáció.xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\0003_100.xml:0003_100_Wallet (x9).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\0003_101.xml:0003_101_3.5x5 (x4).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\0003_102.xml:0003_102_5x7 (x2).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\0003_103.xml:0003_103_Képinformáció.xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\1002_100.xml:1002_100_Wallet (x9).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\1002_101.xml:1002_101_3.5x5 (x4).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\1002_102.xml:1002_102_5x7 (x2).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\1002_103.xml:1002_103_8x10.xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\1002_104.xml:1002_104_Képinformáció.xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\1003_100.xml:1003_100_Wallet (x9).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\1003_101.xml:1003_101_3.5x5 (x4).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\1003_102.xml:1003_102_5x7 (x2).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\1003_103.xml:1003_103_Képinformáció.xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\3002_100.xml:3002_100_Wallet (x9).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\3002_101.xml:3002_101_3.5x5 (x4).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\3002_102.xml:3002_102_5x7 (x2).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\3002_103.xml:3002_103_8x10.xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\3002_104.xml:3002_104_Képinformáció.xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\3003_100.xml:3003_100_Wallet (x9).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\3003_101.xml:3003_101_3.5x5 (x4).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\3003_102.xml:3003_102_5x7 (x2).xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL
FILE="Layout\3003_103.xml:3003_103_Képinformáció.xml" INST_APO "Layout" INST_REQ INST_ERR INST_DEL

FILE="..\COMMON\CNELMAIN.EX_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\CNEZMAIN.EX_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\CNEZDM.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\CNEZDRAW.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\CNEZPAGE.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\CNEZPRNT.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\CNEZHLD.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\CNEZSHLL.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL INST_REG

FILE="..\COMMON\CNEZEPP.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\CNEZPRN.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\CNEZFLDR.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL INST_REG
FILE="..\COMMON\CNEZCTRL.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL INST_REG
FILE="..\COMMON\CNEZIMG.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL INST_REG
FILE="..\COMMON\CNEZCD.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL INST_REG
FILE="..\COMMON\CNEZPZ.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\CNEZPINF.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL

FILE="..\COMMON\IMAGEFIX.IN_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\IMAGEFIX.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\BJEZDCNR.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\FDP.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL

FILE="..\COMMON\CNIJLPE.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\GDIPLUS.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL WIN0x0000001F

FILE="..\COMMON\LFBMP14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LFCMP14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LFGIF14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LFTIF14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LTCLR14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LTDIS14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LTEFX14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LTFIL14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LTIMG14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LTKRN14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LTTMB14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LTWND14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LFFAX14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LFPCT14N.DL_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL

FILE="..\COMMON\Tmplate1.cab" INST_APO "Template" INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\Tmplate2.cab" INST_APO "Template" INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\Tmplate3.cab" INST_APO "Template" INST_REQ INST_ERR INST_DEL
FILE="MENU.DA_" INST_APO "Template" INST_REQ INST_ERR INST_DEL
FILE="DOC.DA_" INST_APO "Template" INST_REQ INST_ERR INST_DEL
FILE="THEME.DA_" INST_APO "Template" INST_REQ INST_ERR INST_DEL
FILE="BACKVAL.DA_" INST_APO "Template" INST_REQ INST_ERR INST_DEL
FILE="LAYOUT.DA_" INST_APO "Template" INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\FRAME.DA_" INST_APO "Template" INST_REQ INST_ERR INST_DEL

[Registory]
REGI=HLM "SOFTWARE\Canon\Easy-LayoutPrint" "InstallPath" REG_SZ "$InsFolder$"
REGI=HLM "SOFTWARE\Canon\Easy-LayoutPrint" "AppPath" REG_SZ "$InsFolder$\CNELMAIN.EXE"

REGI=HLM "SOFTWARE\Canon\Easy-PhotoPrint EX" "InstallPath" REG_SZ "$InsFolder$"
REGI=HLM "SOFTWARE\Canon\Easy-PhotoPrint EX" "AppPath" REG_SZ "$InsFolder$\CNEZMAIN.EXE"

REGI=HLM "SOFTWARE\Canon\MyPrinter" "" REG_SZ "" NOT_DEL
REGI=HLM "SOFTWARE\Canon\MyPrinter\Canon Utilities\Easy-PhotoPrint EX" "AppPath" REG_SZ "$InsFolder$\CNEZMAIN.EXE"
REGI=HLM "SOFTWARE\Canon\MyPrinter\Canon Utilities\Easy-PhotoPrint EX" "AppName" REG_SZ "Easy-PhotoPrint EX"

REGI=HLM "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Easy-LayoutPrint" "" REG_SZ ""

REGI=HLM "SOFTWARE\Canon\SAPP2Module\{0E3A63F3-690F-49b0-8E85-F1A399196FAD}" "InstallPath" REG_SZ "$InsFolder$\CNEZEPP.DLL"
REGI=HLM "SOFTWARE\Canon\SAPP2Module\{0E3A63F3-690F-49b0-8E85-F1A399196FAD}" "ModuleName" REG_SZ "CNEZEPP.DLL"
REGI=HLM "SOFTWARE\Canon\SAPP2Module\{0E3A63F3-690F-49b0-8E85-F1A399196FAD}" "ModuleVersion" REG_BN "20000000"
REGI=HLM "SOFTWARE\Canon\SAPP2Module\{0E3A63F3-690F-49b0-8E85-F1A399196FAD}" "SappVersion" REG_BN "20000000"
REGI=HLM "SOFTWARE\Canon\SAPP2Module\{0E3A63F3-690F-49b0-8E85-F1A399196FAD}" "BitDepth" REG_DW "32"

REGI=HCR "file.el1\Shellex\{BB2E617C-0920-11d1-9A0B-00C04FC2D6C1}" "" REG_SZ "{EEA35A9D-40A2-4E3D-898F-053DEEAEC2C5}"
REGI=HCR "file.el2\Shellex\{BB2E617C-0920-11d1-9A0B-00C04FC2D6C1}" "" REG_SZ "{EEA35A9D-40A2-4E3D-898F-053DEEAEC2C5}"
REGI=HCR "file.el3\Shellex\{BB2E617C-0920-11d1-9A0B-00C04FC2D6C1}" "" REG_SZ "{EEA35A9D-40A2-4E3D-898F-053DEEAEC2C5}"
REGI=HCR "file.el4\Shellex\{BB2E617C-0920-11d1-9A0B-00C04FC2D6C1}" "" REG_SZ "{EEA35A9D-40A2-4E3D-898F-053DEEAEC2C5}"
REGI=HCR "file.el5\Shellex\{BB2E617C-0920-11d1-9A0B-00C04FC2D6C1}" "" REG_SZ "{EEA35A9D-40A2-4E3D-898F-053DEEAEC2C5}"
REGI=HCR "file.el6\Shellex\{BB2E617C-0920-11d1-9A0B-00C04FC2D6C1}" "" REG_SZ "{EEA35A9D-40A2-4E3D-898F-053DEEAEC2C5}"

[UNINSTALL ONLY]
UFLDER="<Local AppData>Canon Easy-PhotoPrint EX"
UFLDER="<Local AppData>Canon Easy-PhotoPrint EX\Settings"
UFLDER="<Local AppData>Canon Easy-PhotoPrint EX\Settings\AlbumData"
UFLDER="<Local AppData>Canon Easy-PhotoPrint EX\Settings\CalendarData"
UFLDER="<Local AppData>Canon Easy-PhotoPrint EX\Settings\CardData"
UFLDER="<Local AppData>Canon Easy-PhotoPrint EX\Settings\SealData"
UFLDER="<Local AppData>Canon Easy-PhotoPrint EX\Settings\LayoutData"
UFLDER="<Local AppData>Canon Easy-PhotoPrint EX\Settings\CommonData"
UFLDER="<Local AppData>Canon Easy-PhotoPrint EX\Cache"
UFLDER="<Local AppData>Canon Easy-PhotoPrint EX\Cache\*"

UFLDER="<Common AppData>CanonIJEPPEX"

UFLDER="<Common Programs>Canon Utilities" "FALSE"
UFLDER="<Common Programs>Canon Utilities\Easy-PhotoPrint EX" "FALSE"


UREGIK=HCU "SOFTWARE\Canon\Easy-PhotoPrint EX"
UREGIK=HCU "SOFTWARE\Canon\Easy-PhotoPrint EX\Recent File List"
UREGIK=HCU "SOFTWARE\Canon\Easy-PhotoPrint EX\Settings"
UREGIK=HCU "SOFTWARE\Canon\Easy-PhotoPrint EX\SimplePrint"
